AbstractResultSetMetaData
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class AbstractResultSetMetaData

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

Direct Known Subclasses:
  SPIResultSetMetaData, SyntheticResultSetMetaData

    public abstract class AbstractResultSetMetaData

extends java.lang.Object
implements java.sql.ResultSetMetaData

Implementation of ResultSetMetaData for SyntheticResultSet

Field Summary

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Constructor Summary
`AbstractResultSetMetaData()` Constructor.

Method Summary
`protected abstract void` | `checkColumnIndex(int column)` Checks if the column index is valid.
`java.lang.String` | `getCatalogName(int column)` Gets the designated column's table's catalog name.
`abstract java.lang.String` | `getColumnClassName(int column)` Returns the fully-qualified name of the Java class whose instances are manufactured if the method `ResultSet.getObject` is called to retrieve a value from the column.
`abstract int` | `getColumnCount()` Returns the number of columns in this `ResultSet` object.
`int` | `getColumnDisplaySize(int column)` Indicates the designated column's normal maximum width in characters.
`abstract java.lang.String` | `getColumnLabel(int column)` Gets the designated column's suggested title for use in printouts and displays.
`java.lang.String` | `getColumnName(int column)` Get the designated column's name.
`int` | `getColumnType(int column)` Retrieves the designated column's SQL type.
`java.lang.String` | `getColumnTypeName(int column)` Retrieves the designated column's database-specific type name.
`protected abstract int` | `getFieldLength(int column)` Gets column length
`protected abstract Oid` | `getOid(int column)` Gets column OID
`int` | `getPrecision(int column)` Get the designated column's number of decimal digits.
`int` | `getScale(int column)` Gets the designated column's number of digits to right of the decimal point.
`java.lang.String` | `getSchemaName(int column)` Get the designated column's table's schema.
`java.lang.String` | `getTableName(int column)` Gets the designated column's table name.
`abstract boolean` | `isAutoIncrement(int column)` Indicates whether the designated column is automatically numbered, thus read-only.
`boolean` | `isCaseSensitive(int column)` Indicates whether a column's case matters.
`boolean` | `isCurrency(int column)` Indicates whether the designated column is a cash value.
`boolean` | `isDefinitelyWritable(int column)` Indicates whether a write on the designated column will definitely succeed.
`int` | `isNullable(int column)` Indicates the nullability of values in the designated column.
`boolean` | `isReadOnly(int column)` Indicates whether the designated column is definitely not writable.
`boolean` | `isSearchable(int column)` Indicates whether the designated column can be used in a where clause.
`boolean` | `isSigned(int column)` Indicates whether values in the designated column are signed numbers.
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`boolean` | `isWritable(int column)` Indicates whether it is possible for a write on the designated column to succeed.
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResultSetMetaData

    public AbstractResultSetMetaData()

  Constructor.

Method Detail

### getColumnCount

    public abstract int getColumnCount()
                                throws java.sql.SQLException

  Returns the number of columns in this `ResultSet` object.

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`
  Returns:
    the number of columns
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isAutoIncrement

    public abstract boolean isAutoIncrement(int column)
                                     throws java.sql.SQLException

  Indicates whether the designated column is automatically numbered, thus read-only.

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isCaseSensitive

    public final boolean isCaseSensitive(int column)
                                  throws java.sql.SQLException

  Indicates whether a column's case matters.

  Specified by:
    `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isSearchable

    public final boolean isSearchable(int column)
                               throws java.sql.SQLException

  Indicates whether the designated column can be used in a where clause.

  Specified by:
    `isSearchable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isCurrency

    public final boolean isCurrency(int column)
                             throws java.sql.SQLException

  Indicates whether the designated column is a cash value.

  Specified by:
    `isCurrency` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isNullable

    public final int isNullable(int column)
                         throws java.sql.SQLException

  Indicates the nullability of values in the designated column.

  Specified by:
    `isNullable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the nullability status of the given column; one of `columnNoNulls`, `columnNullable` or `columnNullableUnknown`
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isSigned

    public final boolean isSigned(int column)
                           throws java.sql.SQLException

  Indicates whether values in the designated column are signed numbers.

  Specified by:
    `isSigned` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnDisplaySize

    public final int getColumnDisplaySize(int column)
                                   throws java.sql.SQLException

  Indicates the designated column's normal maximum width in characters.

  Specified by:
    `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the normal maximum number of characters allowed as the width of the designated column
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnLabel

    public abstract java.lang.String getColumnLabel(int column)
                                             throws java.sql.SQLException

  Gets the designated column's suggested title for use in printouts and displays.

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the suggested column title
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  Get the designated column's name.

  Specified by:
    `getColumnName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    column name
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getSchemaName

    public final java.lang.String getSchemaName(int column)
                                         throws java.sql.SQLException

  Get the designated column's table's schema.

  Specified by:
    `getSchemaName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    schema name or "" if not applicable
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getPrecision

    public final int getPrecision(int column)
                           throws java.sql.SQLException

  Get the designated column's number of decimal digits.

  Specified by:
    `getPrecision` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    precision
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getScale

    public final int getScale(int column)
                       throws java.sql.SQLException

  Gets the designated column's number of digits to right of the decimal point.

  Specified by:
    `getScale` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    scale
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getTableName

    public final java.lang.String getTableName(int column)
                                        throws java.sql.SQLException

  Gets the designated column's table name.

  Specified by:
    `getTableName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    table name or "" if not applicable
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getCatalogName

    public final java.lang.String getCatalogName(int column)
                                          throws java.sql.SQLException

  Gets the designated column's table's catalog name.

  Specified by:
    `getCatalogName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the name of the catalog for the table in which the given column appears or "" if not applicable
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnType

    public final int getColumnType(int column)
                            throws java.sql.SQLException

  Retrieves the designated column's SQL type.

  Specified by:
    `getColumnType` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    SQL type from `Types`
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  See Also:
    `Types`

### getColumnTypeName

    public final java.lang.String getColumnTypeName(int column)
                                             throws java.sql.SQLException

  Retrieves the designated column's database-specific type name.

  Specified by:
    `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    type name used by the database. If the column type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isReadOnly

    public final boolean isReadOnly(int column)
                             throws java.sql.SQLException

  Indicates whether the designated column is definitely not writable.

  Specified by:
    `isReadOnly` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isWritable

    public final boolean isWritable(int column)
                             throws java.sql.SQLException

  Indicates whether it is possible for a write on the designated column to succeed.

  Specified by:
    `isWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isDefinitelyWritable

    public final boolean isDefinitelyWritable(int column)
                                       throws java.sql.SQLException

  Indicates whether a write on the designated column will definitely succeed.

  Specified by:
    `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnClassName

    public abstract java.lang.String getColumnClassName(int column)
                                                 throws java.sql.SQLException

  Returns the fully-qualified name of the Java class whose instances are manufactured if the method `ResultSet.getObject` is called to retrieve a value from the column. `ResultSet.getObject` may return a subclass of the class returned by this method.

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `ResultSet.getObject` to retrieve the value in the specified column. This is the class name used for custom mapping.
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.2

### checkColumnIndex

    protected abstract void checkColumnIndex(int column)
                                      throws java.sql.SQLException

  Checks if the column index is valid.

  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Throws:
    `java.sql.SQLException` - if the column is out of index bounds

### getOid

    protected abstract Oid getOid(int column)
                           throws java.sql.SQLException

  Gets column OID

  Parameters:
    `column` - Column index
  Returns:
    column OID
  Throws:
    `java.sql.SQLException` - if an error occurs

### getFieldLength

    protected abstract int getFieldLength(int column)
                                   throws java.sql.SQLException

  Gets column length

  Parameters:
    `column` - Column index
  Returns:
    column length
  Throws:
    `java.sql.SQLException` - if an error occurs

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT